=== modified file '.travis.yml'
--- .travis.yml	2020-06-08 10:03:32 +0000
+++ .travis.yml	2020-07-08 17:14:19 +0000
@@ -22,7 +22,7 @@
 install:
   - sudo apt install subunit adduser libjs-jquery
   - travis_retry pip install -U setuptools
-  - travis_retry pip install -U pip coverage codecov flake8 testtools configobj cython testscenarios six docutils python-subunit dulwich bzr+lp:brz pygments simplejson paste http://www.owlfish.com/software/simpleTAL/downloads/SimpleTAL-$TAL_VERSION.tar.gz bleach
+  - travis_retry pip install -U pip coverage codecov flake8 testtools configobj cython testscenarios six docutils python-subunit dulwich bzr+lp:brz pygments paste http://www.owlfish.com/software/simpleTAL/downloads/SimpleTAL-$TAL_VERSION.tar.gz bleach
 
 after_success:
   - codecov

=== modified file 'NEWS'
--- NEWS	2019-09-19 08:10:36 +0000
+++ NEWS	2020-07-08 17:14:19 +0000
@@ -36,6 +36,9 @@
     - Set line-height on <pre> elements in file views, fixing misaligned
       line numbers in some browsers. (Colin Watson)
 
+    - Drop dependency on simplejson in favour of the standard library's json
+      module in Python >= 2.6. (Colin Watson)
+
 1.18.2 [12Sep2012]
 ------------------
 

=== modified file 'byov.conf'
--- byov.conf	2020-06-04 19:43:36 +0000
+++ byov.conf	2020-07-08 17:14:19 +0000
@@ -11,7 +11,7 @@
 [loggerhead]
 vm.release = xenial
 brz.build_deps = gcc, debhelper, python, python-all-dev, python3-all-dev, python-configobj, python3-configobj, python-docutils, python3-docutils, python-paramiko, python3-paramiko, python-subunit, python3-subunit, python-testtools, python3-testtools, subunit, cython, cython3, python-fastimport, python-dulwich, python-six, python3-six
-loggerhead.build_deps = python-setuptools, python3-setuptools, libjs-jquery, python-docutils, python3-docutils, python-pygments, python3-pygments, python-simplejson, python3-simplejson, python-paste, python3-paste, python-pastedeploy, python3-pastedeploy, python-simpletal, python-bleach, python3-bleach
+loggerhead.build_deps = python-setuptools, python3-setuptools, libjs-jquery, python-docutils, python3-docutils, python-pygments, python3-pygments, python-paste, python3-paste, python-pastedeploy, python3-pastedeploy, python-simpletal, python-bleach, python3-bleach
 loggerhead.test_deps = python3-fixtures, python-fixtures
 vm.packages = {brz.build_deps}, {loggerhead.build_deps}, {loggerhead.test_deps}, bzr, python-junitxml, python3-pip
 brz.branch = (bzr branch lp:brz ../brz-trunk)

=== modified file 'docs/index.rst'
--- docs/index.rst	2019-09-18 16:49:18 +0000
+++ docs/index.rst	2020-07-08 17:14:19 +0000
@@ -15,8 +15,6 @@
 
 - SimpleTAL for templating.
 
-- simplejson for producing JSON data.
-
 - Paste for the server. (You need version 1.2 or newer of Paste).
 
 - Paste Deploy  (optional, needed when proxying through Apache).
@@ -30,7 +28,6 @@
 .. code-block:: sh
 
    $ sudo apt-get install python-simpletal
-   $ sudo apt-get install python-simplejson
    $ sudo apt-get install python-paste
    $ sudo apt-get install python-pastedeploy
    $ sudo apt-get install python-flup
@@ -43,7 +40,6 @@
    $ easy_install \
      -f http://www.owlfish.com/software/simpleTAL/py2compatible/download.html \
      SimpleTAL
-   $ easy_install simplejson
    $ easy_install Paste
    $ easy_install PasteDeploy
    $ easy_install flup

=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2018-10-20 15:02:08 +0000
+++ loggerhead/controllers/__init__.py	2020-07-08 17:14:19 +0000
@@ -17,9 +17,10 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Suite 500, Boston, MA 02110-1335  USA
 
+import json
+import time
+
 import breezy.errors
-import simplejson
-import time
 
 from breezy import osutils
 
@@ -122,7 +123,7 @@
         z = time.time()
         w = BufferingWriter(writer, 8192)
         if environ.get('loggerhead.as_json'):
-            w.write(simplejson.dumps(values,
+            w.write(json.dumps(values,
                 default=util.convert_to_json_ready).encode('utf-8'))
         else:
             self.add_template_values(values)

=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2018-10-20 16:06:44 +0000
+++ loggerhead/controllers/changelog_ui.py	2020-07-08 17:14:19 +0000
@@ -18,7 +18,7 @@
 # Foundation, Inc., 51 Franklin Street, Suite 500, Boston, MA 02110-1335  USA
 #
 
-import simplejson
+import json
 
 from paste.httpexceptions import HTTPServerError
 
@@ -99,7 +99,7 @@
             'branch': self._branch,
             'changes': changes,
             'show_tag_col': show_tag_col,
-            'data': simplejson.dumps(data),
+            'data': json.dumps(data),
             'util': util,
             'history': history,
             'revid': revid,

=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2020-01-19 20:09:08 +0000
+++ loggerhead/controllers/revision_ui.py	2020-07-08 17:14:19 +0000
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Suite 500, Boston, MA 02110-1335  USA
 #
 
-import simplejson
+import json
 
 from paste.httpexceptions import HTTPServerError
 
@@ -152,9 +152,9 @@
 
         values.update({
             'history': self._history,
-            'link_data': simplejson.dumps(link_data),
-            'json_specific_path': simplejson.dumps(path),
-            'path_to_id': simplejson.dumps(path_to_id),
+            'link_data': json.dumps(link_data),
+            'json_specific_path': json.dumps(path),
+            'path_to_id': json.dumps(path_to_id),
             'directory_breadcrumbs': directory_breadcrumbs,
             'navigation': navigation,
             'remember': remember,

=== modified file 'loggerhead/load_test.py'
--- loggerhead/load_test.py	2020-05-06 19:18:04 +0000
+++ loggerhead/load_test.py	2020-07-08 17:14:19 +0000
@@ -70,7 +70,7 @@
 except ImportError:  # Python < 3
     from Queue import Queue, Empty
 
-import simplejson
+import json
 
 from breezy import (
     errors,
@@ -157,7 +157,9 @@
     @classmethod
     def parse(cls, content):
         script = cls()
-        json_dict = simplejson.loads(content)
+        if isinstance(content, bytes):
+            content = content.decode('UTF-8')
+        json_dict = json.loads(content)
         if 'parameters' not in json_dict:
             raise ValueError('Missing "parameters" section')
         if 'requests' not in json_dict:

=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2018-10-20 16:06:44 +0000
+++ loggerhead/templatefunctions.py	2020-07-08 17:14:19 +0000
@@ -201,9 +201,6 @@
 
         # TODO: On old Python versions, elementtree may be used.
 
-        import simplejson
-        versions.append(('simplejson', simplejson.__version__))
-
         try:
             Dozer = pkg_resources.get_distribution('Dozer')
         except pkg_resources.DistributionNotFound:

=== modified file 'loggerhead/tests/test_simple.py'
--- loggerhead/tests/test_simple.py	2020-05-06 19:06:44 +0000
+++ loggerhead/tests/test_simple.py	2020-07-08 17:14:19 +0000
@@ -21,9 +21,9 @@
     from html import escape
 except ImportError:
     from cgi import escape
+import json
 import logging
 import re
-import simplejson
 from io import BytesIO
 
 from breezy.tests import TestCaseWithTransport
@@ -62,7 +62,7 @@
         self.assertEqual('200 OK', start[0])
         self.assertEqual('application/json', dict(start[1])['Content-Type'])
         self.assertEqual(None, start[2])
-        simplejson.loads(content)
+        json.loads(content.decode('UTF-8'))
 
     def make_branch_app(self, branch, **kw):
         branch_app = BranchWSGIApp(branch, friendly_name='friendly-name', **kw)

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2020-05-06 19:18:04 +0000
+++ loggerhead/util.py	2020-07-08 17:14:19 +0000
@@ -670,6 +670,8 @@
         d = obj.__dict__.copy()
         del d['_properties']
         return d
+    elif isinstance(obj, bytes):
+        return obj.decode('UTF-8')
     elif isinstance(obj, datetime.datetime):
         return tuple(obj.utctimetuple())
     raise TypeError(repr(obj) + " is not JSON serializable")

=== modified file 'setup.py'
--- setup.py	2020-06-08 10:03:32 +0000
+++ setup.py	2020-07-08 17:14:19 +0000
@@ -56,6 +56,6 @@
                                   'loggerheadd',
                                   'breezy.conf']),
         ],
-    install_requires=['simplejson', 'paste', 'bleach'],
+    install_requires=['paste', 'bleach'],
     testsuite='loggerhead.tests.test_suite',
     )

